# dipy_apply_transform

## Usage

    dipy_apply_transform [OPTIONS] static_image_files moving_image_files transform_map_file

## Input Parameters

- `static_image_files`

  Path of the static image file.

- `moving_image_files`

  Path of the moving image(s). It can be a single image or a folder containing multiple images.

- `transform_map_file`

  For the affine case, it should be a text(`*.txt`) file containing the affine matrix. For the diffeomorphic case, it should be a nifti file containing the mapping displacement field in each voxel with this shape (x, y, z, 3, 2).

## General Options

- `--transform_type`

  Select the transformation type to apply between ‘affine’ or ‘diffeomorphic’. (default: affine)

- `--interpolation`

  the type of interpolation to be used, either ‘linear’ (for k-linear interpolation) or ‘nearest’ for nearest neighbor. (default: linear)

## Output Options

- `--out_dir`

  Directory to save the transformed files. (default: current directory)

- `--out_file`

  Name of the transformed file. It is recommended to use the flag –mix-names to prevent the output files from being overwritten. (default: transformed.nii.gz)

## References

Garyfallidis, E., M. Brett, B. Amirbekian, A. Rokem, S. Van Der Walt, M. Descoteaux, and I. Nimmo-Smith. Dipy, a library for the analysis of diffusion MRI data. Frontiers in Neuroinformatics, 1-18, 2014.